
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program;                                              *
 *   if not, write to the Free Software Foundation, Inc.,                  *
 *   59 Temple Place, Suite 330, Boston, MA  02111-1307  USA               *
 *                                                                         *
 ***************************************************************************/

#include "vip1710device.h"
#include "vip1710menu.h"
#include <vdr/plugin.h>
#include "vip1710.h"
#include <strings.h>

cVip1710MenuSetup::cVip1710MenuSetup() {

  newVip1710Setup = Vip1710Setup;

  Add(new cMenuEditIntItem(tr("Setup.vip1710$Log level"), \
      &newVip1710Setup.LogLevel, 0, 4));

  Add(new cMenuEditBoolItem(tr("Setup.vip1710$Use WSS on Scart output"), \
      &newVip1710Setup.UseScartWSS));
}

void cVip1710MenuSetup::Store() {
  cVip1710Device *Device = cVip1710Device::GetInstance();

  SetupStore("LogLevel", \
      Vip1710Setup.LogLevel = newVip1710Setup.LogLevel);

  SetupStore("UseScartWSS", \
      Vip1710Setup.UseScartWSS = newVip1710Setup.UseScartWSS);

  if(Device)
    Device->UpdateVideoMeta();
}


